Skip to main content
PUT
/
api2
/
v2
/
projects
/
{projectUid}
/
transMemories
Edit translation memories
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/transMemories \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetLang": "<string>",
  "transMemories": [
    {
      "transMemory": {
        "id": "<string>"
      },
      "applyPenaltyTo101Only": true,
      "penalty": 50,
      "readMode": true,
      "writeMode": true
    }
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/transMemories"

payload = {
"targetLang": "<string>",
"transMemories": [
{
"transMemory": { "id": "<string>" },
"applyPenaltyTo101Only": True,
"penalty": 50,
"readMode": True,
"writeMode": True
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetLang: '<string>',
transMemories: [
{
transMemory: {id: '<string>'},
applyPenaltyTo101Only: true,
penalty: 50,
readMode: true,
writeMode: true
}
]
})
};

fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/transMemories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transMemories": [
    {
      "applyPenaltyTo101Only": true,
      "penalty": 123,
      "readMode": true,
      "targetLocale": "<string>",
      "transMemory": {
        "businessUnit": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "canEdit": true,
        "client": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "collaboratorsCount": 123,
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "dateCreated": "2023-11-07T05:31:56Z",
        "domain": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "id": "<string>",
        "internalId": 123,
        "name": "<string>",
        "note": "<string>",
        "owner": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "relatedProjectsCount": 123,
        "sourceLang": "<string>",
        "subDomain": {
          "id": "<string>",
          "name": "<string>",
          "uid": "<string>"
        },
        "targetLangs": [
          "<string>"
        ],
        "uid": "<string>"
      },
      "workflowStep": {
        "id": "<string>",
        "lqaEnabled": true,
        "name": "<string>",
        "order": 123,
        "uid": "<string>"
      },
      "writeMode": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

Project UID

Body

application/json

Translation memory assignment

targetLang
string

Set translation memory only for the specific project target language

transMemories
object[]

Translation memories to assign to the project

workflowStep
object

Response

OK

transMemories
object[]